DCMTK: DRTRequestAttributesSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTRequestAttributesSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTRequestAttributesSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessionNumber (OFString &value, const signed long pos=0) const
| get AccessionNumber (0008,0050)
OFCondition | getReasonForTheRequestedProcedure (OFString &value, const signed long pos=0) const
| get ReasonForTheRequestedProcedure (0040,1002)
OFCondition | getRequestedProcedureDescription (OFString &value, const signed long pos=0) const
| get RequestedProcedureDescription (0032,1060)
OFCondition | getRequestedProcedureID (OFString &value, const signed long pos=0) const
| get RequestedProcedureID (0040,1001)
OFCondition | getScheduledProcedureStepDescription (OFString &value, const signed long pos=0) const
| get ScheduledProcedureStepDescription (0040,0007)
OFCondition | getScheduledProcedureStepID (OFString &value, const signed long pos=0) const
| get ScheduledProcedureStepID (0040,0009)
OFCondition | getStudyInstanceUID (OFString &value, const signed long pos=0) const
| get StudyInstanceUID (0020,000d)
DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence ()
| get IssuerOfAccessionNumberSequence (0008,0051)
const DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence () const
| get IssuerOfAccessionNumberSequence (0008,0051)
DRTReasonForRequestedProcedureCodeSequence & | getReasonForRequestedProcedureCodeSequence ()
| get ReasonForRequestedProcedureCodeSequence (0040,100a)
const DRTReasonForRequestedProcedureCodeSequence & | getReasonForRequestedProcedureCodeSequence () const
| get ReasonForRequestedProcedureCodeSequence (0040,100a)
DRTReferencedStudySequence & | getReferencedStudySequence ()
| get ReferencedStudySequence (0008,1110)
const DRTReferencedStudySequence & | getReferencedStudySequence () const
| get ReferencedStudySequence (0008,1110)
DRTRequestedProcedureCodeSequence & | getRequestedProcedureCodeSequence ()
| get RequestedProcedureCodeSequence (0032,1064)
const DRTRequestedProcedureCodeSequence & | getRequestedProcedureCodeSequence () const
| get RequestedProcedureCodeSequence (0032,1064)
DRTScheduledProtocolCodeSequence & | getScheduledProtocolCodeSequence ()
| get ScheduledProtocolCodeSequence (0040,0008)
const DRTScheduledProtocolCodeSequence & | getScheduledProtocolCodeSequence () const
| get ScheduledProtocolCodeSequence (0040,0008)
OFCondition | setAccessionNumber (const OFString &value, const OFBool check=OFTrue)
| set AccessionNumber (0008,0050)
OFCondition | setReasonForTheRequestedProcedure (const OFString &value, const OFBool check=OFTrue)
| set ReasonForTheRequestedProcedure (0040,1002)
OFCondition | setRequestedProcedureDescription (const OFString &value, const OFBool check=OFTrue)
| set RequestedProcedureDescription (0032,1060)
OFCondition | setRequestedProcedureID (const OFString &value, const OFBool check=OFTrue)
| set RequestedProcedureID (0040,1001)
OFCondition | setScheduledProcedureStepDescription (const OFString &value, const OFBool check=OFTrue)
| set ScheduledProcedureStepDescription (0040,0007)
OFCondition | setScheduledProcedureStepID (const OFString &value, const OFBool check=OFTrue)
| set ScheduledProcedureStepID (0040,0009)
OFCondition | setStudyInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set StudyInstanceUID (0020,000d)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortString | AccessionNumber
| AccessionNumber (0008,0050) vr=SH, vm=1, type=3.
DRTIssuerOfAccessionNumberSequence | IssuerOfAccessionNumberSequence
| IssuerOfAccessionNumberSequence (0008,0051) vr=SQ, vm=1, type=3.
DRTReasonForRequestedProcedureCodeSequence | ReasonForRequestedProcedureCodeSequence
| ReasonForRequestedProcedureCodeSequence (0040,100a) vr=SQ, vm=1, type=3.
DcmLongString | ReasonForTheRequestedProcedure
| ReasonForTheRequestedProcedure (0040,1002) vr=LO, vm=1, type=3.
DRTReferencedStudySequence | ReferencedStudySequence
| ReferencedStudySequence (0008,1110) vr=SQ, vm=1, type=3.
DRTRequestedProcedureCodeSequence | RequestedProcedureCodeSequence
| RequestedProcedureCodeSequence (0032,1064) vr=SQ, vm=1, type=3.
DcmLongString | RequestedProcedureDescription
| RequestedProcedureDescription (0032,1060) vr=LO, vm=1, type=3.
DcmShortString | RequestedProcedureID
| RequestedProcedureID (0040,1001) vr=SH, vm=1, type=1C.
DcmLongString | ScheduledProcedureStepDescription
| ScheduledProcedureStepDescription (0040,0007) vr=LO, vm=1, type=3.
DcmShortString | ScheduledProcedureStepID
| ScheduledProcedureStepID (0040,0009) vr=SH, vm=1, type=1C.
DRTScheduledProtocolCodeSequence | ScheduledProtocolCodeSequence
| ScheduledProtocolCodeSequence (0040,0008) vr=SQ, vm=1, type=3.
DcmUniqueIdentifier | StudyInstanceUID
| StudyInstanceUID (0020,000d) vr=UI, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTRequestAttributesSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTRequestAttributesSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessionNumber()

OFCondition DRTRequestAttributesSequence::Item::getAccessionNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessionNumber (0008,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIssuerOfAccessionNumberSequence() [1/2]

DRTIssuerOfAccessionNumberSequence & DRTRequestAttributesSequence::Item::getIssuerOfAccessionNumberSequence | ( |  | ) |
| inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  reference to sequence element

References IssuerOfAccessionNumberSequence.

## ◆ getIssuerOfAccessionNumberSequence() [2/2]

const DRTIssuerOfAccessionNumberSequence & DRTRequestAttributesSequence::Item::getIssuerOfAccessionNumberSequence | ( |  | ) | const
| inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  const reference to sequence element

References IssuerOfAccessionNumberSequence.

## ◆ getReasonForRequestedProcedureCodeSequence() [1/2]

DRTReasonForRequestedProcedureCodeSequence & DRTRequestAttributesSequence::Item::getReasonForRequestedProcedureCodeSequence | ( |  | ) |
| inline

get ReasonForRequestedProcedureCodeSequence (0040,100a)

Returns
  reference to sequence element

References ReasonForRequestedProcedureCodeSequence.

## ◆ getReasonForRequestedProcedureCodeSequence() [2/2]

const DRTReasonForRequestedProcedureCodeSequence & DRTRequestAttributesSequence::Item::getReasonForRequestedProcedureCodeSequence | ( |  | ) | const
| inline

get ReasonForRequestedProcedureCodeSequence (0040,100a)

Returns
  const reference to sequence element

References ReasonForRequestedProcedureCodeSequence.

## ◆ getReasonForTheRequestedProcedure()

OFCondition DRTRequestAttributesSequence::Item::getReasonForTheRequestedProcedure | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReasonForTheRequestedProcedure (0040,1002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedStudySequence() [1/2]

DRTReferencedStudySequence & DRTRequestAttributesSequence::Item::getReferencedStudySequence | ( |  | ) |
| inline

get ReferencedStudySequence (0008,1110)

Returns
  reference to sequence element

References ReferencedStudySequence.

## ◆ getReferencedStudySequence() [2/2]

const DRTReferencedStudySequence & DRTRequestAttributesSequence::Item::getReferencedStudySequence | ( |  | ) | const
| inline

get ReferencedStudySequence (0008,1110)

Returns
  const reference to sequence element

References ReferencedStudySequence.

## ◆ getRequestedProcedureCodeSequence() [1/2]

DRTRequestedProcedureCodeSequence & DRTRequestAttributesSequence::Item::getRequestedProcedureCodeSequence | ( |  | ) |
| inline

get RequestedProcedureCodeSequence (0032,1064)

Returns
  reference to sequence element

References RequestedProcedureCodeSequence.

## ◆ getRequestedProcedureCodeSequence() [2/2]

const DRTRequestedProcedureCodeSequence & DRTRequestAttributesSequence::Item::getRequestedProcedureCodeSequence | ( |  | ) | const
| inline

get RequestedProcedureCodeSequence (0032,1064)

Returns
  const reference to sequence element

References RequestedProcedureCodeSequence.

## ◆ getRequestedProcedureDescription()

OFCondition DRTRequestAttributesSequence::Item::getRequestedProcedureDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RequestedProcedureDescription (0032,1060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRequestedProcedureID()

OFCondition DRTRequestAttributesSequence::Item::getRequestedProcedureID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RequestedProcedureID (0040,1001)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScheduledProcedureStepDescription()

OFCondition DRTRequestAttributesSequence::Item::getScheduledProcedureStepDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScheduledProcedureStepDescription (0040,0007)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScheduledProcedureStepID()

OFCondition DRTRequestAttributesSequence::Item::getScheduledProcedureStepID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScheduledProcedureStepID (0040,0009)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScheduledProtocolCodeSequence() [1/2]

DRTScheduledProtocolCodeSequence & DRTRequestAttributesSequence::Item::getScheduledProtocolCodeSequence | ( |  | ) |
| inline

get ScheduledProtocolCodeSequence (0040,0008)

Returns
  reference to sequence element

References ScheduledProtocolCodeSequence.

## ◆ getScheduledProtocolCodeSequence() [2/2]

const DRTScheduledProtocolCodeSequence & DRTRequestAttributesSequence::Item::getScheduledProtocolCodeSequence | ( |  | ) | const
| inline

get ScheduledProtocolCodeSequence (0040,0008)

Returns
  const reference to sequence element

References ScheduledProtocolCodeSequence.

## ◆ getStudyInstanceUID()

OFCondition DRTRequestAttributesSequence::Item::getStudyInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get StudyInstanceUID (0020,000d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTRequestAttributesSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTRequestAttributesSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTRequestAttributesSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTRequestAttributesSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessionNumber()

OFCondition DRTRequestAttributesSequence::Item::setAccessionNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessionNumber (0008,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReasonForTheRequestedProcedure()

OFCondition DRTRequestAttributesSequence::Item::setReasonForTheRequestedProcedure | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReasonForTheRequestedProcedure (0040,1002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRequestedProcedureDescription()

OFCondition DRTRequestAttributesSequence::Item::setRequestedProcedureDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RequestedProcedureDescription (0032,1060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRequestedProcedureID()

OFCondition DRTRequestAttributesSequence::Item::setRequestedProcedureID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RequestedProcedureID (0040,1001)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScheduledProcedureStepDescription()

OFCondition DRTRequestAttributesSequence::Item::setScheduledProcedureStepDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScheduledProcedureStepDescription (0040,0007)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScheduledProcedureStepID()

OFCondition DRTRequestAttributesSequence::Item::setScheduledProcedureStepID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScheduledProcedureStepID (0040,0009)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyInstanceUID()

OFCondition DRTRequestAttributesSequence::Item::setStudyInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set StudyInstanceUID (0020,000d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTRequestAttributesSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtras.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1